MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001894VCMIGUI - Battlespublic2014-09-19 21:262016-09-29 14:32
ReporterMacron1 
Assigned ToDydzio 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version
Product Version0.96 
Target VersionFixed in Version0.99 
Summary0001894: Missing Feature - In battle there is no info window when right-clicking on hero
DescriptionIn HMM3 there window with portrait and primary skills statistics is shown, when right-clicking on hero (look screenshot)
Steps To Reproduce1. Buy hero, start battle with neutrals or with enemy hero.
2. Right click on hero's animation (battle DEF for your or enemy hero).
In HMM3 there window with portrait and primary skills statistics is shown - in VCMI it is not still implemented.
TagsNo tags attached.
Attached Filesjpg file icon Clipboard01.jpg [^] (22,104 bytes) 2014-09-19 21:26

- Relationships
duplicate of 0000697assignedDydzio Mouse over hero in battle: cursor icon + info box 
has duplicate 0002378closedDydzio During battle right-click on enemy hero is not implemented. 
related to 0002525assignedDydzio Battle: if stack located near to the hero right-click displays the statistics of the hero 

-  Notes
(0006718)
SXX (administrator)
2016-09-23 00:41

For Dydzio:
https://github.com/ArseniyShestakov/vcmi/tree/windowexample [^]
(0006752)
Dydzio (developer)
2016-09-27 12:43

Implemented in: https://github.com/vcmi/vcmi/pull/222 [^]

- Issue History
Date Modified Username Field Change
2014-09-19 21:26 Macron1 New Issue
2014-09-19 21:26 Macron1 File Added: Clipboard01.jpg
2015-12-19 18:04 SXX Relationship added duplicate of 0000697
2016-01-16 13:04 SXX Relationship added has duplicate 0002378
2016-01-20 18:27 vmarkovtsev Note Added: 0006324
2016-01-27 18:33 SXX Note Deleted: 0006324
2016-09-20 17:17 Dydzio Assigned To => Dydzio
2016-09-20 17:17 Dydzio Status new => assigned
2016-09-23 00:41 SXX Note Added: 0006718
2016-09-27 12:43 Dydzio Note Added: 0006752
2016-09-28 19:21 Dydzio Status assigned => resolved
2016-09-28 19:21 Dydzio Fixed in Version => 0.99
2016-09-28 19:21 Dydzio Resolution open => fixed
2016-09-29 14:32 Povelitel Relationship added related to 0002525

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean